---
- name: "start : Failed if cluster doesn't exist"
  fail:
    msg: "Cluster {{ sx_cluster_config_name }} doesn't exist"
  when: not sx_cluster_exist
  tags:
    - cluster
    - start
- name: "start : Failed if cluster is not deployed"
  fail:
    msg: "Cluster {{ sx_cluster_config_name }} is not deployed"
  tags:
    - cluster
    - stop
  when: not sx_cluster_deployed
- name: "start : Start {{ sx_cluster_config_name }} cluster with AWS provider"
  include_tasks: "{{ sx_cluster_provider }}/main.yml"
  tags:
    - cluster
    - start
- name: "start : Add is-started marker"
  ansible.builtin.file:
    path: "{{ sx_cluster_path  }}/{{ sx_cluster_opts_startedmarker_file }}"
    state: touch 
  tags:
    - cluster
    - start

- name: "start : set commit message and notify for commit execution"
  include_role:
    name: startxfr.sxcm.git
  vars:
    sx_git_action: "{{ __sx_cluster_item }}"
    sx_git_path: "{{ sx_cluster_path  }}"
    sx_git_branch: "{{ sx_cluster_local_branch }}"
    sx_git_remote_name: "{{ sx_cluster_remote_name }}"
    sx_git_commit_message: >-
      Start the cluster
  loop:
  - commit
  - push
  loop_control:
    loop_var: __sx_cluster_item
  tags:
  - cluster
  - start
